> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> Retrieve an alphabetical list of all registered users. Requires Administrative access.

Admin only endpoint to retrieve alphabetical list of all registered users.


## OpenAPI

````yaml GET /api/v1/users
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/users:
    get:
      tags:
        - User Management
      summary: List all users
      description: >-
        Retrieve an alphabetical list of all registered users. Requires
        Administrative access.
      operationId: get-users
      responses:
        '200':
          description: List of users
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/User'
              examples:
                success:
                  value:
                    - email: user1@example.com
                      name: Alice
                      surname: Johnson
                      companyName: WaveCentric
                      companyVerified: true
                      permission: admin
                      status: Completed
                      jobTitle: Operations Manager
                    - email: user2@example.com
                      name: Bob
                      surname: Smith
                      companyName: AlpeAdria Logistics
                      companyVerified: true
                      permission: ailoop
                      status: Completed
                      jobTitle: Logistics Coordinator
        '403':
          description: 'Forbidden: Administrative access required.'
      security:
        - bearerAuth: []
components:
  schemas:
    User:
      type: object
      properties:
        _id:
          type: string
        email:
          type: string
        name:
          type: string
        surname:
          type: string
        companyName:
          type: string
        companyVerified:
          type: boolean
        permission:
          type: string
        status:
          type: string
        jobTitle:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````